fn main() -> Result<(), Box<dyn std::error::Error>> {
    tonic_build::configure()
        .build_server(true)
        .build_client(true)
        .out_dir("src/proto")
        .compile_protos(
            &["proto/plugin.proto", "proto/runner.proto"],
            &["proto"],
        )?;

    println!("cargo:rerun-if-changed=proto/plugin.proto");
    println!("cargo:rerun-if-changed=proto/runner.proto");

    Ok(())
}
